Package org.apache.nutch.util

## Class CrawlCompletionStats.CrawlCompletionStatsCombiner

- java.lang.Object
- - org.apache.hadoop.mapreduce.Reducer<Text,​LongWritable,​Text,​LongWritable>
  - - org.apache.nutch.util.CrawlCompletionStats.CrawlCompletionStatsCombiner

- Enclosing class:
    CrawlCompletionStats

      public static class CrawlCompletionStats.CrawlCompletionStatsCombiner
      extends Reducer<Text,​LongWritable,​Text,​LongWritable>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Reducer

      `Reducer.Context`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CrawlCompletionStatsCombiner()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `reduce​(Text key, Iterable<LongWritable> values, Reducer.Context context)` |

    - ### Methods inherited from class org.apache.hadoop.mapreduce.Reducer

      `cleanup, run, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CrawlCompletionStatsCombiner

          public CrawlCompletionStatsCombiner()

  - ### Method Detail

    - #### reduce

          public void reduce​(Text key,
                             Iterable<LongWritable> values,
                             Reducer.Context context)
                      throws IOException,
                             InterruptedException

      Overrides:
        `reduce` in class `Reducer<Text,​LongWritable,​Text,​LongWritable>`
      Throws:
        `IOException`
        `InterruptedException`